Bug 74370 - FVWM fails to draw buttons -- can't load fontset fixed
FVWM fails to draw buttons -- can't load fontset fixed
Product: Red Hat Linux
Classification: Retired
Component: fvwm2 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: 73285 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-09-22 04:43 EDT by alborchers
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-09 12:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description alborchers 2002-09-22 04:43:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.5-15 i686)

Description of problem:
FVWM fails to draw the buttons on the button bar.  These buttons
are added for each window opened on the desktop.  This makes it
difficult to switch among windows when they are obscurred.
It also fails to print the window names on the button bar
desktop display.

The error messages on the console screen where startx was
run say

[FVWM] [GetFontSetofFixed]: WARNING -- can't get fontset fixed, trying 'fixed'
FvwmButtons: Couldn't load fontset fixed
FvwmIconMan: Can't get fontset
FvwmPager: Can't find find 'lucidasanstypewriter-12', using fixed.

However, xfontsel and xlsfonts do display fixed and lucidasanstypewriter-12

I installed FVWM 2.4.11 from www.fvwm.org and FVWM ran
fine and was able to find the fonts and draw the buttons
and window titles.

The error messages are similar to those reported for bug
73285, but the symptoms are different (in 73285 fvwm did
not run at all).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install fvwm and fvwm-icons
2. switchdesk fvwm
3. startx

Actual Results:  FVWM runs, but there are no buttons for each window in the
button bar and the window names are not printed in the desktop

Error messages "Can't find fontset fixed" and so on.  See 

Expected Results:  Buttons and window titles.  No error messages.

Additional info:
Comment 1 alborchers 2002-09-22 04:51:40 EDT
Forget to mention--this problem occurs both with RH 7.3
as distributed on CD and after running up2date on 9/21/02
and updating all packages.
Comment 2 alborchers 2002-09-23 12:39:23 EDT
Couple more details -- tests were done on SMP machines
running smp kernels.  The problem showed up on two separate
Comment 3 Ngo Than 2002-12-09 12:23:32 EST
*** Bug 73285 has been marked as a duplicate of this bug. ***
Comment 4 Ngo Than 2002-12-09 13:12:01 EST
please try fvwm2-2.4.14-1 from ftp://people.redhat.com/than/7.3
It should fix this problem.

Note You need to log in before you can comment on or make changes to this bug.